package app

import (
	"context"

	"in-server/app/main/api/internal/svc"
	"in-server/app/main/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetAppVersionLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGetAppVersionLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetAppVersionLogic {
	return &GetAppVersionLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *GetAppVersionLogic) GetAppVersion() (resp *types.GetAppVersionResp, err error) {
	return &types.GetAppVersionResp{
		Version: "1.0.0",
		WgtUrl:  "https://www.rongcc.com/app_version/in_1.0.0.wgt",
	}, nil
}
